﻿/*
 * Created by SharpDevelop.
 * User: Andreas
 * Date: 14.01.2018
 * Time: 16:39
 * 
 * To change this template use Tools | Options | Coding | Edit Standard Headers.
 */
using System;
using CevoAILib;

namespace AI
{	
	/// <summary>
	/// Basic City class
	/// </summary>
	sealed class XCity
	{
		public int cID;
		public int assignedSettlerID;
		public int assignedSettlerNum;
		public bool cityNeedsImprovements;
		public bool cityHasSettler;
		public Location cityLocation;
        public int buildingCount;
        public bool productionComplete;
        public bool unitInProduction;
        public int newMilitaryNum;
        public bool buildingTrigger;
        public bool militaryTrigger;
        public bool hasAllMilitaryUnits;

        public XCity(int ID, Location Loc)
		{
			cID = ID;
			cityLocation = Loc;
			assignedSettlerID = -1;
			assignedSettlerNum = -1;
			cityNeedsImprovements = true;
			cityHasSettler = false;
            buildingCount = 0;
            productionComplete = true;
            newMilitaryNum = 0;
            buildingTrigger = false;
            militaryTrigger = false;
            unitInProduction = false;
            hasAllMilitaryUnits = false;
        }
		
	}
	
	
	/// <summary>
	/// Administrate City Struct
	/// </summary>
	public class CityAdmin
	{
		public int numCities;
		public CityAdmin()
		{
            numCities = 1;
		}
	}
}
